Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 792870 - sci-libs/sktime-0.4.2 fails to compile with gcc-11 (error: ‘numeric_limits’ is not a member of ‘std’)
Summary: sci-libs/sktime-0.4.2 fails to compile with gcc-11 (error: ‘numeric_limits’ i...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Aisha Tammy
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-29 16:21 UTC by Agostino Sarubbo
Modified: 2021-08-30 17:39 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,110.82 KB, text/plain)
2021-05-29 16:21 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-05-29 16:21:17 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-libs/sktime-0.4.2 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-05-29 16:21:20 UTC
Created attachment 712233 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-05-29 16:21:22 UTC
Possible context of error(s):

sktime/classification/shapelet_based/mrseql/SNode.cpp:89:39: error: ‘numeric_limits’ is not a member of ‘std’
Comment 3 Sam James archtester gentoo-dev Security 2021-07-29 02:20:00 UTC
ping
Comment 4 Larry the Git Cow gentoo-dev 2021-08-01 20:31:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41b0f3d1300d6b84d46343fc09b29de38f886d3a

commit 41b0f3d1300d6b84d46343fc09b29de38f886d3a
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2021-08-01 20:31:04 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-08-01 20:31:04 +0000

    profiles: last-rite sci-libs/sktime
    
    Bug: https://bugs.gentoo.org/790137
    Bug: https://bugs.gentoo.org/792870
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-08-30 17:39:21 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd5ce3e4682f578cfbb20dfb5df5bbbc9c6841aa

commit bd5ce3e4682f578cfbb20dfb5df5bbbc9c6841aa
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-08-30 17:18:23 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-08-30 17:38:50 +0000

    sci-libs/sktime: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/792870
    Closes: https://bugs.gentoo.org/790137
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 profiles/package.mask               |  6 ------
 sci-libs/sktime/Manifest            |  1 -
 sci-libs/sktime/metadata.xml        | 16 ----------------
 sci-libs/sktime/sktime-0.4.2.ebuild | 34 ----------------------------------
 4 files changed, 57 deletions(-)